## ros-melodic-task-compiler 0.1.12

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(task_compiler)
find_package(catkin REQUIRED COMPONENTS
  roseus_smach)

catkin_package()

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  find_package(rostest REQUIRED)
  add_rostest(test/test_task_compiler.test)
  roslaunch_add_file_check(test/execute-pddl.test.xml)
endif()

install(DIRECTORY launch euslisp samples
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-melodic-task-compiler (0.1.12-1stretch) stretch; urgency=high

  * Set timeout for planning in task_compiler (#69 <https://github.com/jsk-ros-pkg/jsk_planning/issues/69>)
    
      * task_compiler: set timeout for planning
      * task_compiler: add option exit_on_finish
    
  * Fix testing (#65 <https://github.com/jsk-ros-pkg/jsk_planning/issues/65>)
    
      * fix miss configuration in test
      * remove unused files
    
  * Contributors: Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 31 Mar 2020 15:00:00 -0000

ros-melodic-task-compiler (0.1.11-1stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 15:00:00 -0000

ros-melodic-task-compiler (0.1.10-1stretch) stretch; urgency=high

  * [task_compiler] fix: symbol is compared with string (#60 <https://github.com/jsk-ros-pkg/jsk_planning/issues/60>)
  * Contributors: Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Mar 2017 15:00:00 -0000

ros-melodic-task-compiler (0.1.9-1stretch) stretch; urgency=high

  * Fix #55 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/55>  execute-pddd.launch: remove require from tc_core (#58 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/58> )
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 28 Feb 2017 15:00:00 -0000

ros-melodic-task-compiler (0.1.8-1stretch) stretch; urgency=high

  * [task_compiler] add iterate mode (#49 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/49> )
    * [task_compiler][execute-pddl.launch] add documentations for arguments
    * [task_compiler][execute-pddl.l]separate execute-pddl-core.l to main executable for exec from launch file and function implementations
    
    implement iterate mode that asks user before each action execution
    
      * [task_compiler][execute-pddl-core.l] cleanup unused codes
      * [task_compiler][execute-pddl-core.l] fix: unpaired parenthenesses
    
  * CMakeLists.txt : clean up catkin_package() command (#52 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/52> )
  * [pddl_planner&task_compiler] add test for task_compiler hook
    functions (#45 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/45> )
  * Contributors: Kei Okada, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 16 Feb 2017 15:00:00 -0000

ros-melodic-task-compiler (0.1.7-1stretch) stretch; urgency=high

  * [task_compiler/euslisp/execute-pddl-core.l] add hook function call on execution ( #44 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/44> )
  * Contributors: Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 27 May 2016 15:00:00 -0000

ros-melodic-task-compiler (0.1.6-1stretch) stretch; urgency=high

  * [task_compiler/CMakeLists.txt&package.xml] add roseus_smach to build_depend
  * [task_compiler] add task_compiler test for solving plan and manage actions
  * Contributors: Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 14 Dec 2015 15:00:00 -0000

ros-melodic-task-compiler (0.1.5-1stretch) stretch; urgency=high

  * CMakeLists.txt: test execute-pddl-test.xml only for indigo
  * [pckage.xml] add run_depend to the smach_viewer
  * [test/{check-execute-pddl.test, execute-pddl.test.xml}: add test code to check execute-pddl.launch
  * [task_compiler] Define *failed-nodes* on toplevel
  * [task_compiler/euslisp/execute-pddl-core.l] fix undefined variable
  * Contributors: Yuki Furuta, Kei Okada, Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-melodic-task-compiler (0.1.4-1stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-melodic-task-compiler (0.1.3-1stretch) stretch; urgency=high

  * remove rosbuild stuff, change to pure catkin packages
  * remove rosbuild stuff, change to pure catkin packages
  * also removed from build_depend
  * pddl_planner and roseus_smach is not used in cmake
  * add option result success and fail
  * support failure plan
  * add planner option for downward
  * Contributors: Yuki Furuta, Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 30 Jan 2015 15:00:00 -0000

ros-melodic-task-compiler (0.1.2-1stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 05 May 2014 15:00:00 -0000

ros-melodic-task-compiler (0.1.1-1stretch) stretch; urgency=high

  * catkinize jsk_planning
  * add argument for debug
  * fix minor bug
  * update depend on roseus_smach
  * forgot to add romeo_action.l
  * added sample programs for romeo
  * removed pr2eus_openrave dependency
  * fixed pr2eus_openrave method name
  * remove mismatched parentheses
  * object in ADL typing may be keyword, should not use??
  * dump generated state machine to /tmp/action_state_machine.l for reuse
  * add room cleaning sample of task_compiler
  * remove empty file
  * add scripts for room cleaning planning sample, but it will work tomorrow
  * change debug print
  * fix smach_structure publish properly timing, add user input action to task_compiler
  * add level 0 example and fix bug in launch syntax
  * add new package task_compiler, which is a converter from PDDL description to SMACH executable graph.
  * Contributors: Kei Okada, Manabu Saito, Hiroyuki Mikita, Youhei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 04 May 2014 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-task-compiler
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roseus-smach, ros-melodic-rostest
Homepage: http://ros.org/wiki/task_compiler
Standards-Version: 3.9.2

Package: ros-melodic-task-compiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-pddl-planner, ros-melodic-roseus-smach, ros-melodic-smach-viewer
Description: task_compiler Compiler that translate task description in PDDL (Planning Domain Description Language) to SMACH (state machine based execution and coordination system) description.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-task-compiler//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
